document.addEventListener('DOMContentLoaded', function() {
    const centralText = document.getElementById('central-text');
    const circles = document.querySelectorAll('.circle-att');
    const indicator = document.querySelector('.indicator-att');

    // Define the angles for each circle position
    const angles = [
        0,    // 12 o'clock
        25.7,  
        51.4,  
        77.1,   
        102.9,  
        128.6,   
        154.3,  
        180,   // 6 o'clock
        205.7,  
        231.4,  
        257.1,  
        282.9,  
        308.6,  
        334.3,  
    ];

    circles.forEach((circle, index) => {
        circle.addEventListener('click', function() {
            const imageSrc = this.getAttribute('data-image');
            if (imageSrc) {
                centralText.innerHTML = `<img src="${imageSrc}" alt="Team Member" style="width: 100%; height: 100%; object-fit: cover; border-radius: 50%;">`;
            } else {
                centralText.textContent = 'No image available';
            }
    
            const angle = angles[index];
            indicator.style.transform = `rotate(${angle}deg)`;
        });
    });
});